Subject: Peonies and ice

From: Roz Garland <[email-masked]>
Date: 3 Mar 1995 18:20:01 GMT

Hi---
     I recently planted some peony rootstock that I purchased in 
a flower bed next to my house.  We had a little ice the last 2 
mornings when this latest cold front came through.  I planted 
them near the surface with the gorwing tips barely poking thru 
the soil (as per instructions), and I am worried that the ice may 
have damaged them.  So I went out and put inverted large glass 
jars over them.  They have only been in the ground about 2 
weeks---- should I have waited until after the last frost date to 
plant them?  Should I round up some more rootstock, or do you 
think they will make it?  It wasn't easy to find the ones I 
planted !!!  I live in zone 7b, near Dallas, in north Texas.
Thanks for any advice!
Roz Garland